Bug 63234 - Anaconda remembers first selected language.
Anaconda remembers first selected language.
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-04-11 11:23 EDT by Eugene Kanter
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-03-04 18:12:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eugene Kanter 2002-04-11 11:23:50 EDT
Description of Problem:

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. boot from CD
2. select language A, click next, click back, select language B
3. continue with the default (workstation in my case) install.
4. first cavet: language selection dialog contains language A as the only 
5. add language B and make it default.
6. finish install, look at i18n and XF86Config-4.

Actual Results:

i18n has (correct) settings for language A
XF86Config-4 has (incorrect) keyboard settings for language B

Expected Results:

All three language selection dialog, i18n and XF86Config-4 have settings for 
languge A.

Additional Information:

In my tests I used Ukrainian as language A and Russian as language B.
Comment 1 Jeremy Katz 2002-04-11 18:30:11 EDT
Did you actually change the keyboard on the keyboard selection screen to the new
keyboard?  After the first entry to the keyboard screen an initial default is
set, and we keep that even if you change languages (otherwise you can choose
language, change keyboard to something else, next, next, back, back, change
language, next and what should happen with keyboard? :)
Comment 2 Eugene Kanter 2002-04-12 08:35:41 EDT
You are right, I did not alter any keyboard settings.
This is indeed questionable behavior.
My suggestion is that if default language does not correspond default keyboard
layout anaconda should somehow let user know about the potential conflict.
Otherwise someone may end up with Spanish login screen and Sweden keyboard for
Comment 3 Matt Wilson 2002-04-12 13:09:37 EDT
Since the user only needs to verify that the keyboard setting is correct, I'm
going to defer this to a later release.

Note You need to log in before you can comment on or make changes to this bug.